Name:           crossfire-client
Version:        1.71.0
Release:        %mkrel 4
Summary:        Client for connecting to Crossfire game servers
Group:          Games/Adventure
License:        GPLv2+
URL:            http://crossfire.real-time.com
Source0:        http://downloads.sourceforge.net/project/crossfire/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:         crossfire-client-1.71.0-mga-desktop.patch

BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libglade-2.0)
#BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_image)
BuildRequires:  pkgconfig(SDL_mixer)
Requires:       crossfire-client-data = %{version}

%description
Crossfire is a free, open-source, cooperative multi-player RPG and adventure
game. Since its initial release, Crossfire has grown to encompass over 150
monsters, 3000 areas to explore, an elaborate magic system, 13 races, 15
character classes, and many powerful artifacts scattered far and wide. Set
in a fantastical medieval world, it blends the style of Gauntlet, NetHack,
Moria, and Angband.

This package allows you to connect to Crossfire servers around the world.
You do not have to install the crossfire-server package in order to play the
game.

%prep
%setup -q
%autopatch -p1

%build
CFLAGS+="%{optflags}"; export CFLAGS;
%configure2_5x --bindir=%{_gamesbindir} \
               --datadir=%{_gamesdatadir} \
               --with-sound-dir=%{_gamesdatadir}/%{name}/sounds
%make

%install
%makeinstall bindir=%{buildroot}%{_gamesbindir} \
             datadir=%{buildroot}%{_gamesdatadir}

for size in 16x16 32x32 48x48; do
    install -D -m644 pixmaps/${size}.png %{buildroot}%{_iconsdir}/hicolor/${size}/apps/%{name}.png
done

install -D -m644 gtk-v2/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS ChangeLog COPYING README README.html
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}-gtk2
%{_gamesbindir}/cfsndserv
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/themes/
%{_gamesdatadir}/%{name}/ui/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}-gtk2.6*


%changelog
* Wed Feb 03 2016 umeabot <umeabot> 1.71.0-4.mga6
+ Revision: 933386
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.71.0-3.mga5
+ Revision: 745045
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.71.0-2.mga5
+ Revision: 678593
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 akien <akien> 1.71.0-1.mga5
+ Revision: 633140
- import source RPM inspired from Fedora and OpenMandriva SRPMs

